import { BaseProps } from '../../common/BaseProps';
import { ProgressBarAnimation } from './ProgressBarAnimation';
/**
 * Represents the props of the [Kendo UI for Vue ProgressBar component]({% slug overview_progressbar %}).
 */
export interface ProgressBarProps extends BaseProps {
    /**
     * Specifies the animation settings of the ProgressBar. Defaults to `false`.
     * If boolean, enables or disables the default animation.
     * Use ProgressBarAnimation to set slide animation with customizable duration option. Accepts a number in milliseconds.
     */
    animation?: boolean | ProgressBarAnimation;
    /**
     * Overrides the default label ([see example]({% slug progressbar_label %})).
     */
    label?: any;
    /**
     * Overrides the default label template ([see example]({% slug progressbar_label %})).
     */
    labelRender?: any;
    /**
     * Sets the visibility of the progress status label. Defaults to `true`.
     */
    labelVisible?: boolean;
    /**
     * Sets the position of the progress status label. Defaults to `end` ([see example]({% slug progressbar_label %})).
     */
    labelPlacement?: 'start' | 'center' | 'end' | any;
}
